ToolzerHub Docs

Get offer details (v1)

Returns an offer's price tiers, variants with stock, minimum order, reviews, attributes, images, supplier and shipping from its link or ID. data is null when the offer does not exist or was removed.

1 credit / requestBilled only on success
GET
/v1/1688/product

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

offer_id_or_url*string

An offer_id from a search result, or a 1688 offer link such as https://detail.1688.com/offer/738026063940.html.

Length1 <= length <= 2000
curl -X GET "https://example.com/v1/1688/product?offer_id_or_url=738026063940" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "offer_id": "738026063940",    "url": "https://detail.1688.com/offer/738026063940.html",    "title": "华强北高品质pro4四代双耳入耳式超长续航真无线蓝牙耳机厂家批发",    "status": "PUBLISHED",    "category": {      "id": "1048186",      "name": "蓝牙耳机",      "top_id": "7"    },    "images": [      "string"    ],    "video_url": "string",    "price_is_private": true,    "price_type": "tiered",    "price_min": 7.23,    "price_max": 31.03,    "original_price_min": 8.5,    "original_price_max": 36.5,    "currency": "CNY",    "price_tiers": [      {        "min_quantity": 200,        "price": 1.4      }    ],    "min_order_quantity": 2,    "unit": "条",    "stock": 170389,    "sold_label": "2.9万+",    "sold_period": "一年内",    "sold_all_channels_label": "10万+",    "rating": 5,    "good_review_percent": 99.6,    "review_count": 38344,    "review_themes": [      {        "name": "性价比很高",        "count": 24      }    ],    "attributes": [      {        "name": "材质",        "value": "PC+ABS"      }    ],    "variants": [      {        "id": "5949278629842",        "name": "Pro6【黑色】盒装",        "price": 16.07,        "original_price": 18.9,        "stock": 4654      }    ],    "supplier": {      "name": "东莞市捣鼓电子科技有限公司",      "type": "factory",      "service_score": 4,      "repeat_buyer_percent": 41.96,      "shop_url": "https://shop97o1677819020.1688.com/page/index.html"    },    "ships_from": "广东省东莞市",    "delivery_promise": "承诺48小时发货·常发申通快递",    "unit_weight_kg": 0.2,    "package": {      "length_cm": 9.8,      "width_cm": 9.8,      "height_cm": 3.4    },    "services": [      "7天无理由退货",      "晚发必赔"    ],    "description_url": "string"  },  "details": {    "reason": "string",    "message": "string"  }}